OmaxTelecom SMS Contacts API helps you manage contacts that are identified by a unique random ID. Using this ID, you can create, view, update, or delete contacts. This API works as a collection of customer-specific contacts that allows you to group them and assign custom values that you can later use when sending SMS template messages.
Create a contact
Creates a new contact object. Returns the created contact object with each request.
path Parameters
group_idContact Groups uid
Create a contact › Request Body
api_tokenAPI Token from Developers option
PHONEThe phone number of the contact
FIRST_NAMEFirst name of the contact (optional, depends on contact group fields configuration)
LAST_NAMELast name of the contact (optional, depends on contact group fields configuration)
Create a contact › Responses
Successful response
statusdataContact data with all details
View a contact
Retrieves the information of an existing contact. You only need to supply the unique contact uid and group uid that was returned upon creation or receiving.
path Parameters
group_idContact Groups uid
uidContact uid
View a contact › Request Body
api_tokenAPI Token from Developers option
View a contact › Responses
Successful response
statusdataContact data with all details
Update a contact
Updates an existing contact. You only need to supply the unique uid of contact and contact group uid that was returned upon creation.
path Parameters
group_idContact Groups uid
uidContact uid
Update a contact › Request Body
api_tokenAPI Token from Developers option
PHONEThe phone number of the contact
FIRST_NAMEFirst name of the contact (optional, depends on contact group fields configuration)
LAST_NAMELast name of the contact (optional, depends on contact group fields configuration)
Update a contact › Responses
Successful response
statusdataUpdated contact data with all details
Delete a contact
Deletes an existing contact. You only need to supply the unique contact uid and group uid that was returned upon creation.
path Parameters
group_idContact Groups uid
uidContact uid
Delete a contact › Request Body
api_tokenAPI Token from Developers option
Delete a contact › Responses
Successful response
statusdataDeleted contact data
View all contacts in group
Retrieves all contacts in a specific contact group with pagination support.
path Parameters
group_idContact Groups uid
View all contacts in group › Request Body
api_tokenAPI Token from Developers option
View all contacts in group › Responses
Successful response
statusContacts data with pagination